



<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      
        <meta name="description" content="Network API, manipulate your network infrastructure as code">
      
      
        <link rel="canonical" href="https://davidban77.gitlab.io/netapi/api/api_probe_ios_reference/">
      
      
        <meta name="author" content="David Flores">
      
      
        <meta name="lang:clipboard.copy" content="Copy to clipboard">
      
        <meta name="lang:clipboard.copied" content="Copied to clipboard">
      
        <meta name="lang:search.language" content="en">
      
        <meta name="lang:search.pipeline.stopwords" content="True">
      
        <meta name="lang:search.pipeline.trimmer" content="True">
      
        <meta name="lang:search.result.none" content="No matching documents">
      
        <meta name="lang:search.result.one" content="1 matching document">
      
        <meta name="lang:search.result.other" content="# matching documents">
      
        <meta name="lang:search.tokenizer" content="[\s\-]+">
      
      <link rel="shortcut icon" href="../../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.0.4, mkdocs-material-4.4.3">
    
    
      
        <title>IOS - NetAPI</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/application.30686662.css">
      
        <link rel="stylesheet" href="../../assets/stylesheets/application-palette.a8b3c06d.css">
      
      
        
        
        <meta name="theme-color" content="#009688">
      
    
    
      <script src="../../assets/javascripts/modernizr.74668098.js"></script>
    
    
      
        <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700|Roboto+Mono&display=fallback">
        <style>body,input{font-family:"Roboto","Helvetica Neue",Helvetica,Arial,sans-serif}code,kbd,pre{font-family:"Roboto Mono","Courier New",Courier,monospace}</style>
      
    
    <link rel="stylesheet" href="../../assets/fonts/material-icons.css">
    
    
    
      
    
    
  </head>
  
    
    
    <body dir="ltr" data-md-color-primary="teal" data-md-color-accent="teal">
  
    <svg class="md-svg">
      <defs>
        
        
          <svg xmlns="http://www.w3.org/2000/svg" width="500" height="500" viewBox="0 0 500 500" id="__gitlab"><path fill="currentColor" d="M93.667 473.347l90.684-279.097H2.983l90.684 279.097z" transform="translate(156.198 1.16)"/><path fill="currentColor" d="M221.333 473.345L130.649 194.25H3.557l217.776 279.095z" transform="translate(28.531 1.16)" opacity=".7"/><path fill="currentColor" d="M32 195.155L4.441 279.97a18.773 18.773 0 0 0 6.821 20.99l238.514 173.29L32 195.155z" transform="translate(.089 .256)" opacity=".5"/><path fill="currentColor" d="M2.667-84.844h127.092L75.14-252.942c-2.811-8.649-15.047-8.649-17.856 0L2.667-84.844z" transform="translate(29.422 280.256)"/><path fill="currentColor" d="M2.667 473.345L93.351 194.25h127.092L2.667 473.345z" transform="translate(247.198 1.16)" opacity=".7"/><path fill="currentColor" d="M221.334 195.155l27.559 84.815a18.772 18.772 0 0 1-6.821 20.99L3.557 474.25l217.777-279.095z" transform="translate(246.307 .256)" opacity=".5"/><path fill="currentColor" d="M130.667-84.844H3.575l54.618-168.098c2.811-8.649 15.047-8.649 17.856 0l54.618 168.098z" transform="translate(336.974 280.256)"/></svg>
        
      </defs>
    </svg>
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" data-md-component="overlay" for="__drawer"></label>
    
      <a href="#ios" tabindex="1" class="md-skip">
        Skip to content
      </a>
    
    
      <header class="md-header" data-md-component="header">
  <nav class="md-header-nav md-grid">
    <div class="md-flex">
      <div class="md-flex__cell md-flex__cell--shrink">
        <a href="https://davidban77.gitlab.io/netapi" title="NetAPI" class="md-header-nav__button md-logo">
          
            <i class="md-icon"></i>
          
        </a>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        <label class="md-icon md-icon--menu md-header-nav__button" for="__drawer"></label>
      </div>
      <div class="md-flex__cell md-flex__cell--stretch">
        <div class="md-flex__ellipsis md-header-nav__title" data-md-component="title">
          
            <span class="md-header-nav__topic">
              NetAPI
            </span>
            <span class="md-header-nav__topic">
              
                IOS
              
            </span>
          
        </div>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        
          <label class="md-icon md-icon--search md-header-nav__button" for="__search"></label>
          
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="query" data-md-state="active">
      <label class="md-icon md-search__icon" for="__search"></label>
      <button type="reset" class="md-icon md-search__icon" data-md-component="reset" tabindex="-1">
        &#xE5CD;
      </button>
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="result">
          <div class="md-search-result__meta">
            Type to start searching
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
        
      </div>
      
        <div class="md-flex__cell md-flex__cell--shrink">
          <div class="md-header-nav__source">
            


  

<a href="https://gitlab.com/the-networkers/netaudithor/netapi/" title="Go to repository" class="md-source" data-md-source="gitlab">
  
    <div class="md-source__icon">
      <svg viewBox="0 0 24 24" width="24" height="24">
        <use xlink:href="#__gitlab" width="24" height="24"></use>
      </svg>
    </div>
  
  <div class="md-source__repository">
    netaudithor/netapi
  </div>
</a>
          </div>
        </div>
      
    </div>
  </nav>
</header>
    
    <div class="md-container">
      
        
      
      
        

  

<nav class="md-tabs md-tabs--active" data-md-component="tabs">
  <div class="md-tabs__inner md-grid">
    <ul class="md-tabs__list">
      
        
  <li class="md-tabs__item">
    
      <a href="../.." class="md-tabs__link">
        Overview
      </a>
    
  </li>

      
        
  
  
    
    
  
  
    <li class="md-tabs__item">
      
        <a href="../api_net_reference/" class="md-tabs__link">
          API Reference
        </a>
      
    </li>
  

  

      
        
  
  
    <li class="md-tabs__item">
      
        <a href="../../about/changelog/" class="md-tabs__link">
          About
        </a>
      
    </li>
  

      
    </ul>
  </div>
</nav>
      
      <main class="md-main" role="main">
        <div class="md-main__inner md-grid" data-md-component="container">
          
            
              <div class="md-sidebar md-sidebar--primary" data-md-component="navigation">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    <nav class="md-nav md-nav--primary" data-md-level="0">
  <label class="md-nav__title md-nav__title--site" for="__drawer">
    <a href="https://davidban77.gitlab.io/netapi" title="NetAPI" class="md-nav__button md-logo">
      
        <i class="md-icon"></i>
      
    </a>
    NetAPI
  </label>
  
    <div class="md-nav__source">
      


  

<a href="https://gitlab.com/the-networkers/netaudithor/netapi/" title="Go to repository" class="md-source" data-md-source="gitlab">
  
    <div class="md-source__icon">
      <svg viewBox="0 0 24 24" width="24" height="24">
        <use xlink:href="#__gitlab" width="24" height="24"></use>
      </svg>
    </div>
  
  <div class="md-source__repository">
    netaudithor/netapi
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      


  <li class="md-nav__item">
    <a href="../.." title="Overview" class="md-nav__link">
      Overview
    </a>
  </li>

    
      
      
      

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2" type="checkbox" id="nav-2" checked>
    
    <label class="md-nav__link" for="nav-2">
      API Reference
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-2">
        API Reference
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-1" type="checkbox" id="nav-2-1">
    
    <label class="md-nav__link" for="nav-2-1">
      Net Entities
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-1">
        Net Entities
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_net_reference/" title="Builders and Net Objects" class="md-nav__link">
      Builders and Net Objects
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_net_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
          
          
          


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-2" type="checkbox" id="nav-2-2">
    
    <label class="md-nav__link" for="nav-2-2">
      Connectors
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-2">
        Connectors
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_reference/" title="Builders and Connector Objects" class="md-nav__link">
      Builders and Connector Objects
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_linux_reference/" title="Linux" class="md-nav__link">
      Linux
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
          
          
          

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-3" type="checkbox" id="nav-2-3" checked>
    
    <label class="md-nav__link" for="nav-2-3">
      Probes
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-3">
        Probes
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_reference/" title="Builders and Probe Objects" class="md-nav__link">
      Builders and Probe Objects
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
          
          
          

  


  <li class="md-nav__item md-nav__item--active">
    
    <input class="md-toggle md-nav__toggle" data-md-toggle="toc" type="checkbox" id="__toc">
    
    
      <label class="md-nav__link md-nav__link--active" for="__toc">
        IOS
      </label>
    
    <a href="./" title="IOS" class="md-nav__link md-nav__link--active">
      IOS
    </a>
    
      
<nav class="md-nav md-nav--secondary">
  
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#ios" class="md-nav__link">
    ios
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#iosnetmikoer" class="md-nav__link">
    ios.netmikoer
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#patterns" class="md-nav__link">
    PATTERNS
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#timeout_patterns" class="md-nav__link">
    TIMEOUT_PATTERNS
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#ping-objects" class="md-nav__link">
    Ping Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ping__post_init__" class="md-nav__link">
    Ping.__post_init__()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pinggenerate_ping_cmd" class="md-nav__link">
    Ping.generate_ping_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pingexecute" class="md-nav__link">
    Ping.execute()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseping-objects" class="md-nav__link">
    ParsePing Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#unreachable_messages" class="md-nav__link">
    UNREACHABLE_MESSAGES
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_obj" class="md-nav__link">
    ParsePing.matched_obj()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_timeout_obj" class="md-nav__link">
    ParsePing.matched_timeout_obj()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_data" class="md-nav__link">
    ParsePing.matched_data()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_timeout_data" class="md-nav__link">
    ParsePing.matched_timeout_data()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingextraction_operation" class="md-nav__link">
    ParsePing.extraction_operation()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
    
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_xe_reference/" title="IOS-XE" class="md-nav__link">
      IOS-XE
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_xr_reference/" title="IOS-XR" class="md-nav__link">
      IOS-XR
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_nxos_reference/" title="NXOS" class="md-nav__link">
      NXOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_junos_reference/" title="JUNOS" class="md-nav__link">
      JUNOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_linux_reference/" title="Linux" class="md-nav__link">
      Linux
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-3" type="checkbox" id="nav-3">
    
    <label class="md-nav__link" for="nav-3">
      About
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-3">
        About
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../about/changelog/" title="Release Notes" class="md-nav__link">
      Release Notes
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../about/license/" title="License" class="md-nav__link">
      License
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              <div class="md-sidebar md-sidebar--secondary" data-md-component="toc">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary">
  
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#ios" class="md-nav__link">
    ios
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#iosnetmikoer" class="md-nav__link">
    ios.netmikoer
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#patterns" class="md-nav__link">
    PATTERNS
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#timeout_patterns" class="md-nav__link">
    TIMEOUT_PATTERNS
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#ping-objects" class="md-nav__link">
    Ping Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ping__post_init__" class="md-nav__link">
    Ping.__post_init__()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pinggenerate_ping_cmd" class="md-nav__link">
    Ping.generate_ping_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#pingexecute" class="md-nav__link">
    Ping.execute()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseping-objects" class="md-nav__link">
    ParsePing Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#unreachable_messages" class="md-nav__link">
    UNREACHABLE_MESSAGES
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_obj" class="md-nav__link">
    ParsePing.matched_obj()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_timeout_obj" class="md-nav__link">
    ParsePing.matched_timeout_obj()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_data" class="md-nav__link">
    ParsePing.matched_data()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingmatched_timeout_data" class="md-nav__link">
    ParsePing.matched_timeout_data()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsepingextraction_operation" class="md-nav__link">
    ParsePing.extraction_operation()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content">
            <article class="md-content__inner md-typeset">
              
                
                  <a href="https://gitlab.com/the-networkers/netaudithor/netapi/edit/master/docs/api/api_probe_ios_reference.md" title="Edit this page" class="md-icon md-content__icon">&#xE3C9;</a>
                
                
                  <h1>IOS</h1>
                
                <h2 id="ios"><code>ios</code><a class="headerlink" href="#ios" title="Permanent link">*</a></h2>
<h2 id="iosnetmikoer"><code>ios.netmikoer</code><a class="headerlink" href="#iosnetmikoer" title="Permanent link">*</a></h2>
<h3 id="patterns"><code>PATTERNS</code><a class="headerlink" href="#patterns" title="Permanent link">*</a></h3>
<div class="codehilite"><pre><span></span><span class="n">PATTERNS</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s2">&quot;ping&quot;</span><span class="p">:</span> <span class="n">re</span><span class="o">.</span><span class="n">compile</span><span class="p">(</span>
        <span class="sa">r</span><span class="s2">&quot;Success rate is (?P&lt;rate&gt;\d+) percent \((?P&lt;tx&gt;\d+)/(?P&lt;rx&gt;\d+)\ ...</span>
</pre></div>


<h3 id="timeout_patterns"><code>TIMEOUT_PATTERNS</code><a class="headerlink" href="#timeout_patterns" title="Permanent link">*</a></h3>
<div class="codehilite"><pre><span></span><span class="n">TIMEOUT_PATTERNS</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s2">&quot;ping&quot;</span><span class="p">:</span> <span class="n">re</span><span class="o">.</span><span class="n">compile</span><span class="p">(</span>
        <span class="sa">r</span><span class="s2">&quot;Success rate is (?P&lt;rate&gt;\d+) percent \((?P&lt;tx&gt;\d+)/(?P&lt;rx&gt;\d+)\ ...</span>
</pre></div>


<h3 id="ping-objects"><code>Ping</code> Objects<a class="headerlink" href="#ping-objects" title="Permanent link">*</a></h3>
<p>Minimalistic ping</p>
<h4 id="ping__post_init__"><code>Ping.__post_init__()</code><a class="headerlink" href="#ping__post_init__" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">__post_init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<h4 id="pinggenerate_ping_cmd"><code>Ping.generate_ping_cmd()</code><a class="headerlink" href="#pinggenerate_ping_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">generate_ping_cmd</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<h4 id="pingexecute"><code>Ping.execute()</code><a class="headerlink" href="#pingexecute" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">execute</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">warning_thld</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">critical_thld</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic execution of entity to retrieve results. Also applies warning/critical
thresholds for the analysis if given.</p>
<ul>
<li><code>warning_thld</code>: Packet loss above this value is flagged as <code>warning</code></li>
<li><code>critical_thld</code>: Packet loss above this value is flagged as <code>critical</code></li>
</ul>
<p>NOTE: If <code>warning_thld</code> was set and paket loss is below the percentage value,
it is then flagged as <code>ok</code></p>
<p>By default it uses the built-in analysis:
<code>packet_loss</code> &gt;= 100 -&gt; <code>critical</code>
<code>packet_loss</code> == 0   -&gt; <code>ok</code>
<code>packet_loss</code> != 0   -&gt; <code>warning</code></p>
<h3 id="parseping-objects"><code>ParsePing</code> Objects<a class="headerlink" href="#parseping-objects" title="Permanent link">*</a></h3>
<h4 id="unreachable_messages"><code>UNREACHABLE_MESSAGES</code><a class="headerlink" href="#unreachable_messages" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="n">UNREACHABLE_MESSAGES</span> <span class="o">=</span> <span class="p">[</span><span class="s2">&quot;Network is unreachable&quot;</span><span class="p">]</span>
</pre></div>


<h4 id="parsepingmatched_obj"><code>ParsePing.matched_obj()</code><a class="headerlink" href="#parsepingmatched_obj" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">matched_obj</span><span class="p">(</span><span class="n">data</span><span class="p">)</span>
</pre></div>


<h4 id="parsepingmatched_timeout_obj"><code>ParsePing.matched_timeout_obj()</code><a class="headerlink" href="#parsepingmatched_timeout_obj" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">matched_timeout_obj</span><span class="p">(</span><span class="n">data</span><span class="p">)</span>
</pre></div>


<h4 id="parsepingmatched_data"><code>ParsePing.matched_data()</code><a class="headerlink" href="#parsepingmatched_data" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">matched_data</span><span class="p">(</span><span class="n">regex_obj</span><span class="p">)</span>
</pre></div>


<h4 id="parsepingmatched_timeout_data"><code>ParsePing.matched_timeout_data()</code><a class="headerlink" href="#parsepingmatched_timeout_data" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">matched_timeout_data</span><span class="p">(</span><span class="n">regex_obj</span><span class="p">)</span>
</pre></div>


<h4 id="parsepingextraction_operation"><code>ParsePing.extraction_operation()</code><a class="headerlink" href="#parsepingextraction_operation" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">extraction_operation</span><span class="p">(</span><span class="n">data</span><span class="p">)</span>
</pre></div>
                
                  
                
              
              
                


              
            </article>
          </div>
        </div>
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid">
        
          <a href="../api_probe_eos_reference/" title="EOS" class="md-flex md-footer-nav__link md-footer-nav__link--prev" rel="prev">
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-back md-footer-nav__button"></i>
            </div>
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Previous
                </span>
                EOS
              </span>
            </div>
          </a>
        
        
          <a href="../api_probe_xe_reference/" title="IOS-XE" class="md-flex md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                IOS-XE
              </span>
            </div>
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-forward md-footer-nav__button"></i>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
        powered by
        <a href="https://www.mkdocs.org">MkDocs</a>
        and
        <a href="https://squidfunk.github.io/mkdocs-material/">
          Material for MkDocs</a>
      </div>
      
  <div class="md-footer-social">
    <link rel="stylesheet" href="../../assets/fonts/font-awesome.css">
    
      <a href="https://github.com/davidban77" class="md-footer-social__link fa fa-github"></a>
    
      <a href="https://twitter.com/davidban77" class="md-footer-social__link fa fa-twitter"></a>
    
  </div>

    </div>
  </div>
</footer>
      
    </div>
    
      <script src="../../assets/javascripts/application.ac79c3b0.js"></script>
      
      <script>app.initialize({version:"1.0.4",url:{base:"../.."}})</script>
      
    
  </body>
</html>